Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 1334)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 1335)
@@ -17,9 +17,9 @@
 	public static String RESULT_TYPE;
 
 	
-	public static String InternalView_3;
-	public static String InternalView_6;
-	public static String InternalView_7;
+	public static String structureInformationsDDot; 
+	public static String internalViewDDotFailedToRetrieveStructPropertiesValuesDDot; 
+	public static String noStructureInformations; 
 	
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewCoreMessages.class);
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1334)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1335)
@@ -1,407 +1,407 @@
-package org.txm.internalview.core.functions;
-
-import java.io.File;
-import java.io.PrintWriter;
-import java.util.ArrayList;
-import java.util.Collection;
-import java.util.HashMap;
-import java.util.LinkedHashMap;
-import java.util.List;
-
-import org.apache.commons.lang.StringUtils;
-import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.Parameter;
-import org.txm.core.results.TXMParameters;
-import org.txm.core.results.TXMResult;
-import org.txm.internalview.core.messages.InternalViewCoreMessages;
-import org.txm.internalview.core.preferences.InternalViewPreferences;
-import org.txm.searchengine.cqp.CQPSearchEngine;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.corpus.CQPCorpus;
-import org.txm.searchengine.cqp.corpus.Property;
-import org.txm.searchengine.cqp.corpus.QueryResult;
-import org.txm.searchengine.cqp.corpus.StructuralUnit;
-import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.CQLQuery;
-import org.txm.utils.io.IOUtils;
-import org.txm.utils.logger.Log;
-
-/**
- * Internal view. 
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class InternalView extends TXMResult  {
-
-	protected List<Match> matches = new ArrayList<Match>();
-	protected int nmatches = 0;
-
-	/**
-	 * Current page.
-	 */
-	@Parameter(key=InternalViewPreferences.CURRENT_PAGE)
-	protected int pCurrentPage;
-
-	/**
-	 * Structural unit to explore.
-	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT)
-	protected StructuralUnit pStructuralUnit;
-
-	/**
-	 * Word properties to display.
-	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
-	protected List<WordProperty> pWordProperties;
-
-	/**
-	 * Structural units to display.
-	 */
-	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
-	protected List<StructuralUnitProperty> pStructuralUnitsProperties;
-
-
-	/**
-	 * 
-	 * @param parent
-	 */
-	public InternalView(CQPCorpus parent) {
-		super(parent);
-	}
-
-	/**
-	 * 
-	 * @param parametersNodePath
-	 */
-	public InternalView(String parametersNodePath) {
-		super(parametersNodePath);
-	}
-
-
-
-	@Override
-	public boolean loadParameters() throws Exception {
-		try {
-			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
-			this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
-		} catch (Exception e) {
-			Log.printStackTrace(e);
-		}
-		try {
-			String str = this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES);
-			this.pWordProperties = (List<WordProperty>) WordProperty.stringToProperties(this.getCorpus(), str);
-		} catch (Exception e2) {
-			Log.printStackTrace(e2);
-		}
-		try {
-			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES);
-			this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
-		} catch (Exception e3) {
-			Log.printStackTrace(e3);
-		}
-		return true;
-	}
-
-
-	@Override
-	protected boolean _compute() throws Exception {
-
-		//if(this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT))	{
-		this.pCurrentPage = 0;
-		//find struct start-end
-		CQLQuery query = new CQLQuery("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
-		//System.out.println(query);
-		QueryResult result = getCorpus().query(query, "test", false); //$NON-NLS-1$
-		nmatches = result.getNMatch();
-		if (nmatches > 0) {
-			matches = result.getMatches();
-		}
-		result.drop();
-		//System.out.println(matches);
-		dirty = false;
-		return (nmatches > 0);
-		//}
-
-	}
-
-
-
-
-	@Override
-	public boolean canCompute() {
-		return getCorpus() != null && 
-				pStructuralUnit != null && 
-				pWordProperties != null && 
-				pWordProperties.size() > 0 && 
-				pStructuralUnitsProperties != null && 
-				pStructuralUnitsProperties.size() > 0;
-	}
-
-	/**
-	 * get the ith page and set the current page number to i
-	 * 
-	 * @param i
-	 * @return
-	 * @throws CqiClientException
-	 */
-	protected LinkedHashMap<Property, List<String>> getPageContent(int i) throws CqiClientException {
-		LinkedHashMap<Property, List<String>> rez = new LinkedHashMap<Property, List<String>>();
-
-		if (i >= 0 && i < nmatches) {
-			Match m = matches.get(i);
-			Collection<? extends Integer> positions = m.getRange();
-			int[] p = new int[positions.size()];
-			int c = 0;
-			for(int v : positions) {
-				p[c++] = v;
-			}
-			for (Property prop : pWordProperties) {
-				rez.put(prop, Match.getValuesForProperty(prop, p));
-			}
-			pCurrentPage = i;
-		}
-		return rez;
-	}
-
-
-	/**
-	 * 
-	 * @return the current page content map
-	 * @throws CqiClientException
-	 */
-	public HashMap<Property, List<String>> getCurrentPageContent() throws CqiClientException {
-		HashMap<Property, List<String>> current = this.getPageContent(pCurrentPage);
-		return current;
-	}
-
-
-
-
-	/**
-	 * Gets the current page number.
-	 * @return the current page number
-	 */
-	public int getCurrentPage() {
-		return pCurrentPage;
-	}
-
-	@Override
-	public boolean saveParameters() {
-		if (pStructuralUnit != null) {
-			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT, pStructuralUnit.getName());
-		}
-		if (pStructuralUnitsProperties != null) {
-			String str = StructuralUnitProperty.propertiesToString(pStructuralUnitsProperties);
-			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES, str);
-		}
-		if (pWordProperties != null) {
-			this.saveParameter(InternalViewPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pWordProperties));
-		}
-
-		return true;
-	}
-
-	@Override
-	public void clean() {
-		// nothing to do
-	}
-
-
-	/**
-	 * Gets the linked corpus.
-	 * @return
-	 */
-	public CQPCorpus getCorpus() {
-		return (CQPCorpus)getParent();
-	}
-
-
-	@Override
-	public String getDetails() {
-		return getCorpus().getName()+" "+pStructuralUnit.getName()+" "+(pCurrentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
-	}
-
-
-	@Override
-	public String getSimpleName() {
-		return getName();
-	}
-
-
-	@Override
-	public String getName() {
-		if (pStructuralUnit != null) {
-			return pStructuralUnit.getName( ) + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		}
-		return getCorpus().getName();
-	}
-
-
-	/**
-	 * Gets the number of matched segments.
-	 * @return
-	 */
-	public int getSegmentsCount() {
-		return nmatches;
-	}
-
-
-	/**
-	 * Gets lexical properties to display.
-	 * @return
-	 */
-	public List<WordProperty> getProperties() {
-		return pWordProperties;
-	}
-
-	/**
-	 * 
-	 * @return
-	 */
-	public int getSegmentLength() {
-		if (matches.size() == 0) {
-			return 0;
-		}
-		if (matches.size() < pCurrentPage) {
-			return 0;
-		}
-
-		Match m = matches.get(pCurrentPage);
-		return m.size();
-	}
-
-	/**
-	 * 
-	 * @return
-	 */
-	public String getStructInfos() {
-
-		try {
-			if (pStructuralUnitsProperties.size() > 0) {
-				String str = InternalViewCoreMessages.InternalView_3;
-				for (Property sup : pStructuralUnitsProperties) {
-					int[] array = {getCurrentPage()};
-					str += " "+sup.getName()+"="+CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
-				}
-				return str;
-			}
-		} catch (Exception e) {
-			System.out.println(InternalViewCoreMessages.InternalView_6+e.getMessage());
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
-		return InternalViewCoreMessages.InternalView_7;
-	}
-
-	/**
-	 * Gets the structural unit to explore.
-	 * @return
-	 */
-	public StructuralUnit getStructuralUnit() {
-		return pStructuralUnit;
-	}
-
-
-	/**
-	 * Dumps the specified segment in the console.
-	 * @param seg
-	 */
-	public void printSeg(HashMap<Property, List<String>> seg) {
-		Collection<List<String>> values = seg.values();
-		if(values.size() == 0) {
-			return;
-		}
-
-		for(List<String> list : values) {
-			for(String value : list) {
-				System.out.print("\t"+value); //$NON-NLS-1$
-			}
-			System.out.println();
-		}
-		System.out.println();
-	}
-
-
-	public void setParameters(List<WordProperty> properties, StructuralUnit struct, List<StructuralUnitProperty> structProperties, Integer currentStructure) {
-		if (properties != null) this.pWordProperties = properties;
-		if (struct != null) this.pStructuralUnit = struct;
-		if (structProperties != null) this.pStructuralUnitsProperties = structProperties;
-		if (currentStructure != null) this.pCurrentPage = currentStructure;
-
-		dirty = true;
-	}
-
-
-
-
-	@Override
-	public boolean setParameters(TXMParameters parameters) {
-		// FIXME: Debug
-		System.err.println("InternalView.setParameters(): not yet implemented.");
-		return false;
-	}
-
-
-	@Override
-	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
-		PrintWriter writer = IOUtils.getWriter(outfile, encoding);
-		for (int ipage = 0 ; ipage < nmatches ; ipage++) { // run through all pages
-			LinkedHashMap<Property, List<String>> page = getPageContent(ipage);
-			for (Property p : pWordProperties) {
-				writer.println(StringUtils.join(page.get(p), colseparator));
-			}
-			writer.println("\n\n");
-		}
-		writer.close();
-		return false;
-	}
-
-
-	/**
-	 * Sets the structural unit to explore.
-	 * @param structuralUnit
-	 */
-	public void setStructuralUnit(StructuralUnit structuralUnit) {
-		this.pStructuralUnit = structuralUnit;
-	}
-
-
-	/**
-	 * Sets the word properties to display.
-	 * @param properties
-	 */
-	public void setWordProperties(List<WordProperty> properties)	{
-		this.pWordProperties = properties;
-	}
-
-	/**
-	 * Sets the structural unit properties to display.
-	 * @param structuralUnitProperties
-	 */
-	public void setStructuralUnitProperties(List<StructuralUnitProperty> structuralUnitProperties) {
-		this.pStructuralUnitsProperties = structuralUnitProperties;
-	}
-
-
-	/**
-	 * Sets the current page number.
-	 * @param currentPage the currentPage to set
-	 */
-	public void setCurrentPage(int currentPage) {
-		this.pCurrentPage = currentPage;
-
-		if(this.pCurrentPage < 0 || this.pCurrentPage > (this.nmatches - 1))	 {
-			System.err.println("InternalView.canCompute(): current page (" + this.pCurrentPage + ") is outside matches range (" + this.nmatches + ").");
-			this.pCurrentPage = 0;
-		}
-	}
-
-	@Override
-	public String getResultype() {
-		return InternalViewCoreMessages.RESULT_TYPE;
-	}
-
-}
+package org.txm.internalview.core.functions;
+
+import java.io.File;
+import java.io.PrintWriter;
+import java.util.ArrayList;
+import java.util.Collection;
+import java.util.HashMap;
+import java.util.LinkedHashMap;
+import java.util.List;
+
+import org.apache.commons.lang.StringUtils;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.Parameter;
+import org.txm.core.results.TXMParameters;
+import org.txm.core.results.TXMResult;
+import org.txm.internalview.core.messages.InternalViewCoreMessages;
+import org.txm.internalview.core.preferences.InternalViewPreferences;
+import org.txm.searchengine.cqp.CQPSearchEngine;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.QueryResult;
+import org.txm.searchengine.cqp.corpus.StructuralUnit;
+import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.WordProperty;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.utils.io.IOUtils;
+import org.txm.utils.logger.Log;
+
+/**
+ * Internal view. 
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class InternalView extends TXMResult  {
+
+	protected List<Match> matches = new ArrayList<Match>();
+	protected int nmatches = 0;
+
+	/**
+	 * Current page.
+	 */
+	@Parameter(key=InternalViewPreferences.CURRENT_PAGE)
+	protected int pCurrentPage;
+
+	/**
+	 * Structural unit to explore.
+	 */
+	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT)
+	protected StructuralUnit pStructuralUnit;
+
+	/**
+	 * Word properties to display.
+	 */
+	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	protected List<WordProperty> pWordProperties;
+
+	/**
+	 * Structural units to display.
+	 */
+	@Parameter(key=TXMPreferences.STRUCTURAL_UNIT_PROPERTIES)
+	protected List<StructuralUnitProperty> pStructuralUnitsProperties;
+
+
+	/**
+	 * 
+	 * @param parent
+	 */
+	public InternalView(CQPCorpus parent) {
+		super(parent);
+	}
+
+	/**
+	 * 
+	 * @param parametersNodePath
+	 */
+	public InternalView(String parametersNodePath) {
+		super(parametersNodePath);
+	}
+
+
+
+	@Override
+	public boolean loadParameters() throws Exception {
+		try {
+			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
+			this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
+		} catch (Exception e) {
+			Log.printStackTrace(e);
+		}
+		try {
+			String str = this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES);
+			this.pWordProperties = (List<WordProperty>) WordProperty.stringToProperties(this.getCorpus(), str);
+		} catch (Exception e2) {
+			Log.printStackTrace(e2);
+		}
+		try {
+			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES);
+			this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
+		} catch (Exception e3) {
+			Log.printStackTrace(e3);
+		}
+		return true;
+	}
+
+
+	@Override
+	protected boolean _compute() throws Exception {
+
+		//if(this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT))	{
+		this.pCurrentPage = 0;
+		//find struct start-end
+		CQLQuery query = new CQLQuery("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
+		//System.out.println(query);
+		QueryResult result = getCorpus().query(query, "test", false); //$NON-NLS-1$
+		nmatches = result.getNMatch();
+		if (nmatches > 0) {
+			matches = result.getMatches();
+		}
+		result.drop();
+		//System.out.println(matches);
+		dirty = false;
+		return (nmatches > 0);
+		//}
+
+	}
+
+
+
+
+	@Override
+	public boolean canCompute() {
+		return getCorpus() != null && 
+				pStructuralUnit != null && 
+				pWordProperties != null && 
+				pWordProperties.size() > 0 && 
+				pStructuralUnitsProperties != null && 
+				pStructuralUnitsProperties.size() > 0;
+	}
+
+	/**
+	 * get the ith page and set the current page number to i
+	 * 
+	 * @param i
+	 * @return
+	 * @throws CqiClientException
+	 */
+	protected LinkedHashMap<Property, List<String>> getPageContent(int i) throws CqiClientException {
+		LinkedHashMap<Property, List<String>> rez = new LinkedHashMap<Property, List<String>>();
+
+		if (i >= 0 && i < nmatches) {
+			Match m = matches.get(i);
+			Collection<? extends Integer> positions = m.getRange();
+			int[] p = new int[positions.size()];
+			int c = 0;
+			for(int v : positions) {
+				p[c++] = v;
+			}
+			for (Property prop : pWordProperties) {
+				rez.put(prop, Match.getValuesForProperty(prop, p));
+			}
+			pCurrentPage = i;
+		}
+		return rez;
+	}
+
+
+	/**
+	 * 
+	 * @return the current page content map
+	 * @throws CqiClientException
+	 */
+	public HashMap<Property, List<String>> getCurrentPageContent() throws CqiClientException {
+		HashMap<Property, List<String>> current = this.getPageContent(pCurrentPage);
+		return current;
+	}
+
+
+
+
+	/**
+	 * Gets the current page number.
+	 * @return the current page number
+	 */
+	public int getCurrentPage() {
+		return pCurrentPage;
+	}
+
+	@Override
+	public boolean saveParameters() {
+		if (pStructuralUnit != null) {
+			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT, pStructuralUnit.getName());
+		}
+		if (pStructuralUnitsProperties != null) {
+			String str = StructuralUnitProperty.propertiesToString(pStructuralUnitsProperties);
+			this.saveParameter(InternalViewPreferences.STRUCTURAL_UNIT_PROPERTIES, str);
+		}
+		if (pWordProperties != null) {
+			this.saveParameter(InternalViewPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pWordProperties));
+		}
+
+		return true;
+	}
+
+	@Override
+	public void clean() {
+		// nothing to do
+	}
+
+
+	/**
+	 * Gets the linked corpus.
+	 * @return
+	 */
+	public CQPCorpus getCorpus() {
+		return (CQPCorpus)getParent();
+	}
+
+
+	@Override
+	public String getDetails() {
+		return getCorpus().getName()+" "+pStructuralUnit.getName()+" "+(pCurrentPage+1); //$NON-NLS-1$ //$NON-NLS-2$
+	}
+
+
+	@Override
+	public String getSimpleName() {
+		return getName();
+	}
+
+
+	@Override
+	public String getName() {
+		if (pStructuralUnit != null) {
+			return pStructuralUnit.getName( ) + " (" + (this.pCurrentPage + 1) + " / " + this.nmatches + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		}
+		return getCorpus().getName();
+	}
+
+
+	/**
+	 * Gets the number of matched segments.
+	 * @return
+	 */
+	public int getSegmentsCount() {
+		return nmatches;
+	}
+
+
+	/**
+	 * Gets lexical properties to display.
+	 * @return
+	 */
+	public List<WordProperty> getProperties() {
+		return pWordProperties;
+	}
+
+	/**
+	 * 
+	 * @return
+	 */
+	public int getSegmentLength() {
+		if (matches.size() == 0) {
+			return 0;
+		}
+		if (matches.size() < pCurrentPage) {
+			return 0;
+		}
+
+		Match m = matches.get(pCurrentPage);
+		return m.size();
+	}
+
+	/**
+	 * 
+	 * @return
+	 */
+	public String getStructInfos() {
+
+		try {
+			if (pStructuralUnitsProperties.size() > 0) {
+				String str = InternalViewCoreMessages.structureInformationsDDot;
+				for (Property sup : pStructuralUnitsProperties) {
+					int[] array = {getCurrentPage()};
+					str += " "+sup.getName()+"="+CQPSearchEngine.getCqiClient().struc2Str(sup.getQualifiedName(), array)[0]; //$NON-NLS-1$ //$NON-NLS-2$
+				}
+				return str;
+			}
+		} catch (Exception e) {
+			System.out.println(InternalViewCoreMessages.internalViewDDotFailedToRetrieveStructPropertiesValuesDDot+e.getMessage());
+			org.txm.utils.logger.Log.printStackTrace(e);
+		}
+		return InternalViewCoreMessages.noStructureInformations;
+	}
+
+	/**
+	 * Gets the structural unit to explore.
+	 * @return
+	 */
+	public StructuralUnit getStructuralUnit() {
+		return pStructuralUnit;
+	}
+
+
+	/**
+	 * Dumps the specified segment in the console.
+	 * @param seg
+	 */
+	public void printSeg(HashMap<Property, List<String>> seg) {
+		Collection<List<String>> values = seg.values();
+		if(values.size() == 0) {
+			return;
+		}
+
+		for(List<String> list : values) {
+			for(String value : list) {
+				System.out.print("\t"+value); //$NON-NLS-1$
+			}
+			System.out.println();
+		}
+		System.out.println();
+	}
+
+
+	public void setParameters(List<WordProperty> properties, StructuralUnit struct, List<StructuralUnitProperty> structProperties, Integer currentStructure) {
+		if (properties != null) this.pWordProperties = properties;
+		if (struct != null) this.pStructuralUnit = struct;
+		if (structProperties != null) this.pStructuralUnitsProperties = structProperties;
+		if (currentStructure != null) this.pCurrentPage = currentStructure;
+
+		dirty = true;
+	}
+
+
+
+
+	@Override
+	public boolean setParameters(TXMParameters parameters) {
+		// FIXME: Debug
+		System.err.println("InternalView.setParameters(): not yet implemented.");
+		return false;
+	}
+
+
+	@Override
+	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws Exception {
+		PrintWriter writer = IOUtils.getWriter(outfile, encoding);
+		for (int ipage = 0 ; ipage < nmatches ; ipage++) { // run through all pages
+			LinkedHashMap<Property, List<String>> page = getPageContent(ipage);
+			for (Property p : pWordProperties) {
+				writer.println(StringUtils.join(page.get(p), colseparator));
+			}
+			writer.println("\n\n");
+		}
+		writer.close();
+		return false;
+	}
+
+
+	/**
+	 * Sets the structural unit to explore.
+	 * @param structuralUnit
+	 */
+	public void setStructuralUnit(StructuralUnit structuralUnit) {
+		this.pStructuralUnit = structuralUnit;
+	}
+
+
+	/**
+	 * Sets the word properties to display.
+	 * @param properties
+	 */
+	public void setWordProperties(List<WordProperty> properties)	{
+		this.pWordProperties = properties;
+	}
+
+	/**
+	 * Sets the structural unit properties to display.
+	 * @param structuralUnitProperties
+	 */
+	public void setStructuralUnitProperties(List<StructuralUnitProperty> structuralUnitProperties) {
+		this.pStructuralUnitsProperties = structuralUnitProperties;
+	}
+
+
+	/**
+	 * Sets the current page number.
+	 * @param currentPage the currentPage to set
+	 */
+	public void setCurrentPage(int currentPage) {
+		this.pCurrentPage = currentPage;
+
+		if(this.pCurrentPage < 0 || this.pCurrentPage > (this.nmatches - 1))	 {
+			System.err.println("InternalView.canCompute(): current page (" + this.pCurrentPage + ") is outside matches range (" + this.nmatches + ").");
+			this.pCurrentPage = 0;
+		}
+	}
+
+	@Override
+	public String getResultype() {
+		return InternalViewCoreMessages.RESULT_TYPE;
+	}
+
+}
\ No newline at end of file
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1334)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 1335)
@@ -74,7 +74,7 @@
 			String queries = this.createQueries(event, selection);
 			
 			if(query.isEmpty() && queries.isEmpty()) {
-				Log.severe(Messages.link_error_no_query);
+				Log.severe(Messages.noQueryWasSetCommandCanceled);
 				return null;
 			}
 			
@@ -92,4 +92,4 @@
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1334)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 1335)
@@ -66,7 +66,7 @@
 			List<Match> matches = this.createMatches(event, selection);
 			
 			if(matches.isEmpty()) {
-				Log.severe(Messages.link_error_no_match);
+				Log.severe(Messages.noMatchesWasSetCommandCanceled);
 				return null;
 			}
 			
@@ -83,4 +83,4 @@
 		return null;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java
===================================================================
--- tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 1334)
+++ tmp/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 1335)
@@ -7,8 +7,8 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.links.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String link_error_no_match;
-	public static String link_error_no_query;
+	public static String noMatchesWasSetCommandCanceled; 
+	public static String noQueryWasSetCommandCanceled; 
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/messages/ConcordanceCoreMessages.java	(revision 1335)
@@ -17,25 +17,23 @@
 	public static String RESULT_TYPE;
 
 	
-	public static String Concordance_1;
-	public static String Concordance_12;
-	public static String Concordance_13;
-	public static String Concordance_14;
-	public static String Concordance_15;
-	public static String Concordance_16;
-	public static String Concordance_17;
-	public static String Concordance_19;
-	public static String Concordance_2;
-	public static String Concordance_3;
-	public static String Concordance_6;
-	public static String Concordance_7;
-	public static String Concordance_8;
-	public static String CompositeComparator_0;
-	public static String PropertiesReferenceComparator_0;
-	public static String LexicographicLeftContextComparator_0;
-	public static String LexicographicKeywordComparator_0;
-	public static String LexicographicRightContextComparator_0;
-	public static String NullComparator_0;
+	public static String failedToRetrieveTextidPropertyFromLines; 
+	public static String failedToExportConcordanceDDot; 
+	public static String reference; 
+	public static String leftContext; 
+	public static String keyword; 
+	public static String rightContext; 
+	public static String context; 
+	public static String undefined; 
+	public static String resultsRetrievedIn; 
+	public static String retrieving; 
+	public static String results; 
+	public static String failedToGetTextsLimitsDDot; 
+	public static String compositeDDot; 
+	public static String references; 
+	public static String leftContext_2; 
+	public static String rightContext_2; 
+	public static String none; 
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 1335)
@@ -548,7 +548,7 @@
 			return new ArrayList<Line>();
 		}
 		
-		Log.info(ConcordanceCoreMessages.Concordance_6 + (to - from + 1) + ConcordanceCoreMessages.Concordance_7);
+		Log.info(ConcordanceCoreMessages.retrieving + (to - from + 1) + ConcordanceCoreMessages.results);
 
 		AbstractCqiClient cqiClient = CorpusManager.getCorpusManager().getCqiClient();
 
@@ -575,7 +575,7 @@
 				}
 			} catch (Exception e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
-				Log.severe(ConcordanceCoreMessages.Concordance_8+e);
+				Log.severe(ConcordanceCoreMessages.failedToGetTextsLimitsDDot+e);
 			}
 		}
 
@@ -736,7 +736,7 @@
 				} else {
 					keywordsTextValues = null;
 					keywordsIdValues = null;
-					Log.warning(ConcordanceCoreMessages.Concordance_1);
+					Log.warning(ConcordanceCoreMessages.failedToRetrieveTextidPropertyFromLines);
 				}
 
 				// Since we get the value only for the first word of the
@@ -795,7 +795,7 @@
 						TextId = keywordsTextValues.get(k).get(0);
 						wordids = keywordsIdValues.get(k);
 					} else {
-						TextId = ConcordanceCoreMessages.Concordance_2;
+						TextId = ConcordanceCoreMessages.undefined;
 						wordids = new ArrayList<String>();
 					}
 
@@ -820,7 +820,7 @@
 		}
 		List<Line> res = lines.subList(from, to + 1);// our to is inclusive,
 		// sublist's is exlusive
-		Log.info((to - from + 1) + ConcordanceCoreMessages.Concordance_3
+		Log.info((to - from + 1) + ConcordanceCoreMessages.resultsRetrievedIn
 				+ (System.currentTimeMillis() - start) + "ms"); //$NON-NLS-1$ 
 		return res;
 	}
@@ -1494,7 +1494,7 @@
 			toTxt(writer, 0, nLines - 1, format, "\t",""); //$NON-NLS-1$ //$NON-NLS-2$
 			writer.close();
 		} catch (Exception e) {
-			System.err.println(ConcordanceCoreMessages.Concordance_12 + e);
+			System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e);
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -1527,7 +1527,7 @@
 			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 			toTxt(writer, 0, nLines - 1, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(ConcordanceCoreMessages.Concordance_12 + e.getLocalizedMessage());
+			System.err.println(ConcordanceCoreMessages.failedToExportConcordanceDDot + e.getLocalizedMessage());
 			Log.printStackTrace(e);
 			return false;
 		} finally {
@@ -1593,15 +1593,15 @@
 		if (format == Format.CONTEXT) {
 			keyColSeparator = "";
 			writer.write(
-					txtseparator+ConcordanceCoreMessages.Concordance_17+txtseparator
-					+ colseparator+txtseparator+ConcordanceCoreMessages.Concordance_19+txtseparator
+					txtseparator+ConcordanceCoreMessages.reference+txtseparator
+					+ colseparator+txtseparator+ConcordanceCoreMessages.context+txtseparator
 					+ "\n"); //$NON-NLS-1$
 		} else {
 			writer.write(
-					addTxtSep(ConcordanceCoreMessages.Concordance_13, txtseparator)+colseparator
-					+ addTxtSep(ConcordanceCoreMessages.Concordance_14, txtseparator)+colseparator
-					+ addTxtSep(ConcordanceCoreMessages.Concordance_15, txtseparator)+colseparator
-					+ addTxtSep(ConcordanceCoreMessages.Concordance_16, txtseparator)
+					addTxtSep(ConcordanceCoreMessages.reference, txtseparator)+colseparator
+					+ addTxtSep(ConcordanceCoreMessages.leftContext, txtseparator)+colseparator
+					+ addTxtSep(ConcordanceCoreMessages.keyword, txtseparator)+colseparator
+					+ addTxtSep(ConcordanceCoreMessages.rightContext, txtseparator)
 					+ "\n"); //$NON-NLS-1$
 		}
 
@@ -1779,4 +1779,4 @@
 	public String getResultype() {
 		return ConcordanceCoreMessages.RESULT_TYPE;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/NullComparator.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/NullComparator.java	(revision 1334)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/comparators/NullComparator.java	(revision 1335)
@@ -39,7 +39,7 @@
 public class NullComparator extends LocalizedLineComparator {
 
 	/** The Constant NAME. */
-	private static final String NAME = ConcordanceCoreMessages.NullComparator_0;
+	private static final String NAME = ConcordanceCoreMessages.none;
 
 	/**
 	 * Instantiates a new null comparator.
@@ -55,4 +55,4 @@
 	public int compare(Line l1, Line l2) {
 		return l1.getKeywordPosition() - l2.getKeywordPosition();
 	}
-}
+}
\ No newline at end of file
